## GocLine

GocLine — Simple line.

## Synopsis

                        GocLine;
    typedef             GocLineClass;

## Object Hierarchy

      GObject
       +----GocItem
             +----GocStyledItem
                   +----GocLine

## Implemented Interfaces

GocLine implements GOStyledObject.

## Properties

      "arrow-shape-a"            gdouble               : Read / Write
      "arrow-shape-b"            gdouble               : Read / Write
      "arrow-shape-c"            gdouble               : Read / Write
      "arrowhead"                gboolean              : Read / Write
      "x0"                       gdouble               : Read / Write
      "x1"                       gdouble               : Read / Write
      "y0"                       gdouble               : Read / Write
      "y1"                       gdouble               : Read / Write

## Description

GocLine implements simple line drawing in the canvas. The line can have an arrowhead at its end.

## Details

### GocLine

    typedef struct _GocLine GocLine;

### GocLineClass

    typedef GocStyledItemClass GocLineClass;

## Property Details

### The `"arrow-shape-a"` property

      "arrow-shape-a"            gdouble               : Read / Write

The distance from tip of arrow head to center.

Allowed values: >= 0

Default value: 0

### The `"arrow-shape-b"` property

      "arrow-shape-b"            gdouble               : Read / Write

The distance from tip of arrow head to trailing point, measured along shaft.

Allowed values: >= 0

Default value: 0

### The `"arrow-shape-c"` property

      "arrow-shape-c"            gdouble               : Read / Write

The distance of trailing points from outside edge of shaft.

Allowed values: >= 0

Default value: 0

### The `"arrowhead"` property

      "arrowhead"                gboolean              : Read / Write

Whether to add an arrow head at the end of the line.

Default value: FALSE

### The `"x0"` property

      "x0"                       gdouble               : Read / Write

The line start x coordinate.

Default value: 0

### The `"x1"` property

      "x1"                       gdouble               : Read / Write

The line end x coordinate.

Default value: 0

### The `"y0"` property

      "y0"                       gdouble               : Read / Write

The line start y coordinate.

Default value: 0

### The `"y1"` property

      "y1"                       gdouble               : Read / Write

The line end y coordinate.

Default value: 0